Summary: CE resource plugin for CEMonitor
Name: glite-ce-ce-plugin
Version: %{extversion}
Release: %{extage}.%{extdist}
License: Apache Software License
Vendor: EMI
URL: http://glite.cern.ch/
Group: System Environment/Libraries
BuildArch: noarch
BuildRequires: %{!?extbuilddir: glite-ce-monitor-api-java, } ant
Requires: glite-ce-monitor
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
AutoReqProv: yes
Source: %{name}-%{version}-%{release}.tar.gz

%description
The CE plugin is a sensor for the CE monitor service that keeps track 
of the changes of the CE resource

%prep
 
%setup -c -q

%build
%{!?extbuilddir:%define extbuilddir "--"}
if test "x%{extbuilddir}" == "x--" ; then
  printf "dist.location=%{buildroot}
stage.location=
module.version=%{version}">.configuration.properties
  ant
fi

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}
%{!?extbuilddir:%define extbuilddir "--"}
if test "x%{extbuilddir}" == "x--" ; then
  ant install
else
  mkdir -p %{buildroot}/usr/share/java
  cp %{extbuilddir}/usr/share/java/*.jar %{buildroot}/usr/share/java
  mkdir -p %{buildroot}/etc/glite-ce-ce-plugin
  cp %{extbuilddir}/etc/glite-ce-ce-plugin/* %{buildroot}/etc/glite-ce-ce-plugin
  mkdir -p %{buildroot}/usr/share/doc/glite-ce-ce-plugin-%{version}
  cp %{extbuilddir}/usr/share/doc/glite-ce-ce-plugin-%{version}/LICENSE %{buildroot}/usr/share/doc/glite-ce-ce-plugin-%{version}
fi


%clean
rm -rf %{buildroot} 

%files
%defattr(-,root,root)
%dir /etc/glite-ce-ce-plugin/
%config(noreplace) /etc/glite-ce-ce-plugin/lcg-info-generic.conf.example.pbs
%config(noreplace) /etc/glite-ce-ce-plugin/lcg-info-generic.conf.example.lsf
/usr/share/java/glite-ce-ce-plugin.jar
%dir /usr/share/doc/glite-ce-ce-plugin-%{version}/
%doc /usr/share/doc/glite-ce-ce-plugin-%{version}/LICENSE

%changelog
* %{extcdate} CREAM group <cream-support@lists.infn.it> - %{extversion}-%{extage}.%{extdist}
- %{extclog}

